%define module_version 0.06
%define module_name Mojolicious-Plugin-Browserify
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(JavaScript/Minifier/XS.pm) perl(Mojo/Base.pm) perl(Mojo/Util.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/AssetPack.pm) perl(Mojolicious/Static.pm) perl(Test/Mojo.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: An Mojolicious plugin for assetpack+browserify
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojolicious-plugin-browserify

Source0: http://cpan.org.ua/authors/id/J/JH/JHTHORSEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::Browserify manpage is a plugin that will register
the Mojolicious::Plugin::Browserify::Processor manpage in
the Mojolicious::Plugin::AssetPack manpage.

browserify is a JavaScript preprocessor which will
allow you to use commonjs's
`require()' in your JavaScript files. Here is an example JavaScript file,
that use `require()' to pull in React:

  var React = require('react');

  module.exports = React.createClass({
    render: function() {
      return <div className="Bio"><p className="Bio-text">{this.props.text}</p></div>;
    }
  });
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Tue Dec 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Dec 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Nov 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

